import { GdsElement } from '../../../gds-element';
declare const GdsSegment_base: (new (...args: any[]) => import("../../../utils/mixins/declarative-layout-mixins").SizeXProps) & typeof GdsElement;
/**
 * @element gds-segment
 */
export declare class GdsSegment<ValueT = any> extends GdsSegment_base {
    static styles: import("lit").CSSResult[];
    /**
     * Whether the segment is selected
     * @attr selected
     */
    selected: boolean;
    /**
     * Value can be used to tie arbitrary data to the segment.
     * @attr value
     */
    value?: ValueT;
    /**
     * Whether the segment is disabled.
     */
    disabled: boolean;
    /**
     * Whether the segment is currently visible.
     */
    get isVisible(): boolean;
    _isVisible: boolean;
    connectedCallback(): void;
    render(): any;
}
export {};
